rem learns an mbox mail folder as spam
rem
rem execute this batch in installation directory
rem
rem imap2mbox has been previously configured to read from the mail server and
rem export the emails into the mbox container called "spam.mbox"
rem
rem
rem A logfile called spam.log is created so we can monitor the activities of
rem   imap2mbox and spam-learn.  Spam.log should be deleted periodically
rem
del spam.mbox

echo *===*  >> spam.log

imap2mbox.exe --config=spam.cfg >> spam.log

if exist spam.mbox sa\sa-learn -C sa\ruleset --showdots --spam --mbox spam.mbox  >> spam.log

sa\sa-learn -C sa\ruleset --showdots  --force-expire >> spam.log

sa\spamassassin -x -C sa\ruleset --lint >> spam.log